com.amazonaws.services.codedeploy.model

## Class RevisionInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.RevisionInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class RevisionInfo
    extends Object
    implements Serializable, Cloneable

Information about an application revision.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RevisionInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RevisionInfo` `clone()`
`boolean` `equals(Object obj)`
`GenericRevisionInfo` `getGenericRevisionInfo()`
`RevisionLocation` `getRevisionLocation()`
`int` `hashCode()`
`void` `setGenericRevisionInfo(GenericRevisionInfo genericRevisionInfo)`
`void` `setRevisionLocation(RevisionLocation revisionLocation)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RevisionInfo` `withGenericRevisionInfo(GenericRevisionInfo genericRevisionInfo)`
`RevisionInfo` `withRevisionLocation(RevisionLocation revisionLocation)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevisionInfo

    public RevisionInfo()

### Method Detail

#### setRevisionLocation

    public void setRevisionLocation(RevisionLocation revisionLocation)

Parameters:
  `revisionLocation` -

#### getRevisionLocation

    public RevisionLocation getRevisionLocation()

Returns:

#### withRevisionLocation

    public RevisionInfo withRevisionLocation(RevisionLocation revisionLocation)

Parameters:
  `revisionLocation` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setGenericRevisionInfo

    public void setGenericRevisionInfo(GenericRevisionInfo genericRevisionInfo)

Parameters:
  `genericRevisionInfo` -

#### getGenericRevisionInfo

    public GenericRevisionInfo getGenericRevisionInfo()

Returns:

#### withGenericRevisionInfo

    public RevisionInfo withGenericRevisionInfo(GenericRevisionInfo genericRevisionInfo)

Parameters:
  `genericRevisionInfo` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RevisionInfo clone()

Overrides:
  `clone` in class `Object`